RPC_CREATE(9)

NAME
rpc_create - create an RPC client and transport with one call

SYNOPSIS

struct rpc_clnt * rpc_create(struct rpc_create_args * args);

ARGUMENTS

args
    rpc_clnt create argument structure

DESCRIPTION

Creates and initializes an RPC transport and an RPC client.

It can ping the server in order to determine if it is up, and to see if it supports this program and version. RPC_CLNT_CREATE_NOPING disables this behavior so asynchronous tasks can also use rpc_create.

COPYRIGHT